Subject: bug#65734: [BUG] kill-whole-line on folded subtrees [9.6.8 (release_9.6.8-3-g21171d @ /home/w/usr/emacs/0/29/0/lisp/org/)]

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jun 2024 12:51:55 +0300

> Cc: [email-masked], Andrea Corallo <[email-masked]>, [email-masked],
>  [email-masked], [email-masked]
> Date: Sat, 22 Jun 2024 12:00:13 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Ihor Radchenko <[email-masked]>
> > Cc: Sebastian Miele <[email-masked]>, Stefan Monnier
> >  <[email-masked]>, Stefan Kangas <[email-masked]>,
> >  [email-masked]
> > Date: Wed, 19 Jun 2024 14:01:12 +0000
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > The patches lack suitable ChangeLog-style commit log messages (see
> > > CONTRIBUTE for details and you can use "git log" to show examples of
> > > how we do this).
> > >
> > > I'd also ask Stefan Monnier and Stefan Kangas to review the patch,
> > > since this is an important command and I would like to avoid breaking
> > > it.
> > 
> > Please see the attached edited patches with proper commit messages.
> 
> Stefan, Stefan and Andrea, could you please review this?  If you see
> no problems, let's install this in Emacs 30.

Oops, I see that Stefan Monnier already chimed in.  But I'd like
Stefan Kangas and Andrea to do so as well.